/*
CVE Services API

Testing UtilitiesApiService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package cveapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "gitlab.com/xen-project/misc/go-cveapi"
)

func Test_cveapi_UtilitiesApiService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test UtilitiesApiService HealthCheck", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		httpRes, err := apiClient.UtilitiesApi.HealthCheck(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
